.carousel-inner {
    max-height: 500px; 
}

.carousel-indicators li {
    font-size: 0;
}

.carousel-item img {
    height: 500px;
    width: 100%;
    object-fit: cover; 
}

.carousel-item {
    position: relative;
}

.carousel-item::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 0, 0, 0.5);
    backdrop-filter: blur(1px);
}

.carousel-caption {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(0%, -40%);
    color: white;
    text-align: center;
}

.carousel-caption h2 {
    font-size: 50px;
    margin-bottom: 15px;
    font-weight: bold;
}

.title_window h1{
    font-size: 90px;
    margin-bottom: 15px;
    font-weight: bold;
}

.title_window h3{
    font-size:40px;
    margin-bottom: 15px;
    font-weight: bold;
}

.carousel-caption .btn {
    padding: 10px 10px;
    width: fit-content;
    border-radius: 7px;
    cursor: pointer;
    border: 0;
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.612) 0px 5px 40px !important;
    text-transform: uppercase;
    font-size: 25px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 800;
    transition: all 0.5s ease;
    animation: movimento 2s infinite ease-in-out;
    color: #cc0000 !important;
}

.carousel-caption .btn:hover {
    letter-spacing: 3px;
    background-color: #ffffff;
    color: #cc0000;
    box-shadow: rgba(255, 255, 255, 0.26) 0px 7px 29px 0px;
}

.carousel-caption .btn:active {
    letter-spacing: 4px;
    color: #cc0000;
    box-shadow: rgb(255, 255, 255) 0px 0px 0px 0px;
    animation: none;
    transition: transform 0.3s ease !important;
    transform: translateY(2px) !important;
}

@media (max-width: 768px) {

    .carousel-inner {
        max-height: 400px; 
    }

    .carousel-caption h2 {
        font-size: 30px; 
    }

    .title_window h1 {
        font-size: 50px;
    }

    .title_window h3 {
        font-size: 20px; 
    }

    .carousel-caption .btn {
        font-size: 20px; 
        padding: 8px 16px;
    }
}

@media (max-width: 576px) {
    .carousel-caption h2 {
        font-size: 24px; 
    }

    .title_window h1 {
        font-size: 40px;
    }

    .title_window h3 {
        font-size: 18px;
    }

    .carousel-caption .btn {
        font-size: 18px; 
        padding: 6px 14px;
    }
}